//接口集成
import Request from '../api/request';
// ------------------------首页
// 获取首页数据
export const getHomeData = data =>
  Request({
    url: '/api/get_index_data',
    method: 'POST',
    data,
  });
// 获取商品列表
export const getProductList = data =>
  Request({
    url: '/api/get_goods_data_list',
    method: 'POST',
    data,
  })
// 获取商品详情
export const getProductDetail = data =>
  Request({
    url: '/api/get_goods_data_detail',
    method: 'POST',
    data,
  })
// 获取猜你喜欢列表
export const getProductLikeList = data =>
  Request({
    url: '/api/get_goods_data_list_like',
    method: 'POST',
    data,
  })


// -----------------------用户
// 获取用户详情
export const getUserInfo = data =>
  Request({
    url: '/user/user',
    method: 'POST',
    data,
  })
// ---------------------会员
// 获取会员详情
export const getVipInfo = data =>
  Request({
    url: '/vip/get_index_vip_data',
    method: 'POST',
    data,
  })
  // 获取我的店铺详情
  export const getMyShopDetail = data =>
  Request({
    url: '/vip/get_store_detail',
    method: 'POST',
    data,
  })
  // 获取我的店铺数据
  export const getMyShopList = data =>
  Request({
    url: '/vip/get_store_data_list',
    method: 'POST',
    data,
  })
  // 店铺添加指定商品
  export const addShopProduct = data =>
  Request({
    url: '/vip/add_store_goods',
    method: 'POST',
    data,
  })
  // 删除店铺商品
  export const deleteShopProduct = data =>
  Request({
    url: '/vip/delete_store_goods',
    method: 'POST',
    data,
  })
  // 获取浏览店铺的商品列表
  export const getBrowseShopProductList = data =>
  Request({
    url: '/vip/get_goods_data_list_store',
    method: 'POST',
    data,
  })
  // 更新商品排序
  export const updateProductSort = data =>
  Request({
    url: '/vip/update_goods_sort',
    method: 'POST',
    data,
  })









